package com.kmall.common.utils.express.kdn;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
@Component
public class KdnPropertiesBuilder {
    private static final Logger logger = LoggerFactory.getLogger(KdnPropertiesBuilder.class);

    @Autowired
    @Qualifier("kdnProperties")
    private KdnProperties kdnProperties;

    private static KdnProperties kdnProp;

    /**
     * Bean 向静态变量赋值
     */
    @PostConstruct
    private void init(){
        logger.info("KdnProperties初始化开始......");
        kdnProp = kdnProperties;
    }

    public static KdnProperties instance(){
        logger.info("KdnProperties实例返回");
        return kdnProp;
    }

}
